org.mariadb.jdbc.internal.packet.dao.parameters

## Class NullParameter

- java.lang.Object
- - org.mariadb.jdbc.internal.packet.dao.parameters.ParameterHolder
  - - org.mariadb.jdbc.internal.packet.dao.parameters.NullParameter

All Implemented Interfaces:
  Cloneable

    public class NullParameter
    extends ParameterHolder

### Constructor Summary

Constructors
Constructor and Description
`NullParameter()`
`NullParameter(MariaDbType type)`

### Method Summary

All Methods Instance Methods Concrete Methods
`long` `getApproximateTextProtocolLength()`
`MariaDbType` `getMariaDbType()`
`boolean` `isLongData()`
`boolean` `isNotLongData()`
`boolean` `isNullParameter()`
`void` `writeTo(OutputStream os)` Write parameter value.

### Methods inherited from class org.mariadb.jdbc.internal.packet.dao.parameters.ParameterHolder

`toString, writeBufferType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### NullParameter

    public NullParameter()

#### NullParameter

    public NullParameter(MariaDbType type)

### Method Detail

#### writeTo

    public void writeTo(OutputStream os)
                 throws IOException

Description copied from class: `ParameterHolder`
Write parameter value.

Specified by:
  `writeTo` in class `ParameterHolder`
Parameters:
  `os` - the stream to write to
Throws:
  `IOException` - when something goes wrong

#### getApproximateTextProtocolLength

    public long getApproximateTextProtocolLength()

Specified by:
  `getApproximateTextProtocolLength` in class `ParameterHolder`

#### isNullParameter

    public boolean isNullParameter()

Specified by:
  `isNullParameter` in class `ParameterHolder`

#### isLongData

    public boolean isLongData()

Specified by:
  `isLongData` in class `ParameterHolder`

#### isNotLongData

    public boolean isNotLongData()

Specified by:
  `isNotLongData` in class `ParameterHolder`

#### getMariaDbType

    public MariaDbType getMariaDbType()

Specified by:
  `getMariaDbType` in class `ParameterHolder`